using System;
using System.Collections;
using System.Drawing;
using System.Windows.Forms;
using System.ComponentModel;
using System.ComponentModel.Design;
using System.Windows.Forms.Design;

namespace ReflectionIT.Windows.Forms
{
	public class SpinButtonsDesigner : ControlDesigner {

		public override SelectionRules SelectionRules {
			get { 
				return SelectionRules.Visible|SelectionRules.Moveable; 
			}
		}
	}

	public class TimeBoxDesigner : ControlDesigner {

		public override SelectionRules SelectionRules {
			get { 
				return SelectionRules.Visible|SelectionRules.RightSizeable|SelectionRules.LeftSizeable|SelectionRules.Moveable; 
			}
		}
	}

}
